## lxqt-build-tools 2.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(lxqt2-build-tools)

option(WITH_XDG_DIRS_FALLBACK "Use our XDG_CONFIG_DIRS fallback" ON)

set(LXQT_BUILD_TOOLS_MAJOR_VERSION 2)
set(LXQT_BUILD_TOOLS_MINOR_VERSION 1)
set(LXQT_BUILD_TOOLS_PATCH_VERSION 0)
set(LXQT_BUILD_TOOLS_VERSION ${LXQT_BUILD_TOOLS_MAJOR_VERSION}.${LXQT_BUILD_TOOLS_MINOR_VERSION}.${LXQT_BUILD_TOOLS_PATCH_VERSION})
set(LXQT_MIN_LINGUIST_VERSION "6.6")

include(CMakePackageConfigHelpers)
include(GNUInstallDirs) # Standard directories for installation
include(FeatureSummary)
include(cmake/FindInstallConfigPath.cmake) # sets LXQT_ETC_XDG_DIR, if unset
include(cmake/modules/LXQtPreventInSourceBuilds.cmake)

#-----------------------------------------------------------------------------
# LXQT_DATA_DIR defaults to CMAKE_INSTALL_FULL_DATADIR. It's added to
#   XDG_DATA_DIRS by the startlxqt script
# Warning: Setting LXQT_DATA_DIR must be done after including GNUInstallDirs
#-----------------------------------------------------------------------------
if (NOT DEFINED LXQT_DATA_DIR)
    set(LXQT_DATA_DIR "${CMAKE_INSTALL_FULL_DATADIR}" CACHE PATH
        "LXQt base directory relative to which data files should be searched"
    )
endif()

set(LXQT_LIBRARY_NAME "lxqt" CACHE STRING "lxqt")
set(LXQT_RELATIVE_SHARE_DIR "${LXQT_LIBRARY_NAME}")
set(LXQT_SHARE_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/${LXQT_RELATIVE_SHARE_DIR}")
set(LXQT_RELATIVE_TRANSLATIONS_DIR "${LXQT_LIBRARY_NAME}/translations")
set(LXQT_TRANSLATIONS_DIR "${LXQT_SHARE_DIR}/translations")
set(LXQT_GRAPHICS_DIR "${LXQT_SHARE_DIR}/graphics")

file(GLOB toInstallFindModules
    "${PROJECT_SOURCE_DIR}/cmake/find-modules/*.cmake"
)

file(GLOB toInstallModules
    "${PROJECT_SOURCE_DIR}/cmake/modules/*.cmake"
    "${PROJECT_SOURCE_DIR}/cmake/modules/*.cpp.in"
)

file(GLOB toInstallModulesHelpers
    "${PROJECT_SOURCE_DIR}/cmake/modules/*.pl"
)


#-----------------------------------------------------------------------------
# Superbuild mode
#-----------------------------------------------------------------------------
set(FIND_MODULES_INSTALL_DIR "${PROJECT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/${CMAKE_PROJECT_NAME}/cmake/find-modules/")
set(MODULES_INSTALL_DIR "${PROJECT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/${CMAKE_PROJECT_NAME}/cmake/modules/")

file(COPY
    ${toInstallFindModules}
    DESTINATION "${FIND_MODULES_INSTALL_DIR}"
)

file(COPY
    ${toInstallModules}
    ${toInstallModulesHelpers}
    DESTINATION "${MODULES_INSTALL_DIR}"
)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/lxqt-build-tools-config.cmake.in"
    "${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}-config.cmake"
    INSTALL_DESTINATION "neverland"     # required, altough we don't install it
    PATH_VARS
        MODULES_INSTALL_DIR
        FIND_MODULES_INSTALL_DIR
)

configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/LXQtConfigVars.cmake.in"
    "${MODULES_INSTALL_DIR}/LXQtConfigVars.cmake"
    @ONLY
)

configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/LXQtTranslateTs.cmake.in"
    "${MODULES_INSTALL_DIR}/LXQtTranslateTs.cmake"
    @ONLY
)


#-----------------------------------------------------------------------------
# Installable mode
#-----------------------------------------------------------------------------
set(CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_DATAROOTDIR}/cmake/${CMAKE_PROJECT_NAME}/")
set(FIND_MODULES_INSTALL_DIR "${CMAKE_INSTALL_DATAROOTDIR}/cmake/${CMAKE_PROJECT_NAME}/find-modules/")
set(MODULES_INSTALL_DIR "${CMAKE_INSTALL_DATAROOTDIR}/cmake/${CMAKE_PROJECT_NAME}/modules/")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/lxqt-build-tools-config.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/install/${CMAKE_PROJECT_NAME}-config.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    PATH_VARS
        MODULES_INSTALL_DIR
        FIND_MODULES_INSTALL_DIR
)

configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/LXQtConfigVars.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/install/LXQtConfigVars.cmake"
    @ONLY
)

configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/LXQtTranslateTs.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/install/LXQtTranslateTs.cmake"
    @ONLY
)

# The package version file is common to superbuild and installable mode
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/lxqt-build-tools-config-version.cmake.in"
    "${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}-config-version.cmake"
    @ONLY
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/install/${CMAKE_PROJECT_NAME}-config.cmake"
    "${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}-config-version.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(
    FILES ${toInstallFindModules}
    DESTINATION "${FIND_MODULES_INSTALL_DIR}"
)

install(
    FILES
        ${toInstallModules}
        ${toInstallModulesHelpers}
        "${CMAKE_CURRENT_BINARY_DIR}/install/LXQtConfigVars.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/install/LXQtTranslateTs.cmake"
    DESTINATION
        "${MODULES_INSTALL_DIR}"
)

# Tools install
install(
    PROGRAMS
        "lxqt-transupdate"
    DESTINATION
        "${CMAKE_INSTALL_BINDIR}"
    RENAME
        "lxqt2-transupdate"
)

# Feature summary
feature_summary(
    FATAL_ON_MISSING_REQUIRED_PACKAGES
    WHAT ALL
)

=== debian/changelog ===
lxqt-build-tools (2.1.0-2) unstable; urgency=medium

  * debian/control: drop duplicate Standards-Version line.
  * Drop obsoloted files under debian/bin and debian/usr.
    (Closes: #1102707)
  * debian/copyright: drop license for removed files.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 01 May 2025 17:48:01 +0200

lxqt-build-tools (2.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 27 Nov 2024 21:22:17 +0800

lxqt-build-tools (2.0.0+really2.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 25 Nov 2024 13:20:03 +0100

lxqt-build-tools (2.0.0+really2.0.0-2~exp1) experimental; urgency=medium

  * debian/control: build-deps on qt6-base-dev (>= 6.7.2).
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 06 Oct 2024 12:46:24 +0200

lxqt-build-tools (2.0.0+really2.0.0-1) experimental; urgency=medium

  * Revert "Revert to version really0.13.0." and upload to experimental.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 01 Aug 2024 07:44:36 +0200

=== debian/control ===
Source: lxqt-build-tools
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: devel
Priority: optional
Build-Depends: cmake, debhelper-compat (= 13), pkgconf, qt6-base-dev (>= 6.7.2)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-build-tools
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-build-tools.git
Homepage: https://github.com/lxqt/lxqt-build-tools
Rules-Requires-Root: no

Package: lxqt-build-tools
Architecture: all
Depends: binutils, cmake, pkgconf, qt6-base-dev, ${misc:Depends}
Recommends: git, lintian
Description: Build tools for the LXQt desktop environment
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contains the tools that are needed by the LXQt build process.

## lxqt-build-tools 2.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,8 @@
 option(WITH_XDG_DIRS_FALLBACK "Use our XDG_CONFIG_DIRS fallback" ON)
 
 set(LXQT_BUILD_TOOLS_MAJOR_VERSION 2)
-set(LXQT_BUILD_TOOLS_MINOR_VERSION 1)
-set(LXQT_BUILD_TOOLS_PATCH_VERSION 0)
+set(LXQT_BUILD_TOOLS_MINOR_VERSION 2)
+set(LXQT_BUILD_TOOLS_PATCH_VERSION 1)
 set(LXQT_BUILD_TOOLS_VERSION ${LXQT_BUILD_TOOLS_MAJOR_VERSION}.${LXQT_BUILD_TOOLS_MINOR_VERSION}.${LXQT_BUILD_TOOLS_PATCH_VERSION})
 set(LXQT_MIN_LINGUIST_VERSION "6.6")

=== debian/changelog ===
lxqt-build-tools (2.2.1-0ubuntu1) questing; urgency=medium

  * New upstream release.
  * Update copyright file
  * Update Standards-Version to 4.7.2, no changes needed.
  * Add Lintian override for missing manual page for lxqt2-transupdate

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 30 Jul 2025 16:11:53 -0500

lxqt-build-tools (2.1.0-0ubuntu3) plucky; urgency=medium

  * Update Standards-Version to 4.7.1, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 15:57:52 -0600

lxqt-build-tools (2.1.0-0ubuntu2) plucky; urgency=medium

  * Bump the minimum C++ standard to 20.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Jan 2025 01:49:22 -0600

lxqt-build-tools (2.1.0-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 15 Nov 2024 15:32:28 -0600

=== debian/control ===
Source: lxqt-build-tools
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libglib2.0-dev,
               pkgconf,
               qt6-base-dev (>= 6.6.0)
Standards-Version: 4.7.2
Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-build-tools-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-build-tools-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-build-tools
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-build-tools.git
Homepage: https://github.com/lxqt/lxqt-build-tools
Rules-Requires-Root: no

Package: lxqt-build-tools
Architecture: all
Depends: binutils,
         cmake,
         libglib2.0-dev (>= 2.73.1),
         pkgconf,
         qt6-tools-dev,
         qt6-tools-dev-tools,
         ${misc:Depends}
Recommends: git, lintian
Description: Build tools for the LXQt desktop environment
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contains the tools that are needed by the LXQt build process.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo

## lxqt-build-tools 2.3.0

=== debian/changelog ===
lxqt-build-tools (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0.
  * d/control: Bump Standards-Version to 4.7.2.
  * d/watch: Upgrade to version 5.
  * d/copyright: Remove unused WTFPL-2.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 08 Nov 2025 22:11:17 +0800

lxqt-build-tools (2.2.1-1) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 11 Aug 2025 17:02:34 +0800

lxqt-build-tools (2.2.1-1~exp1) experimental; urgency=medium

  * New upstream version 2.2.1.
  * debian/copyright: drop file not exists in new upstream release.
  * debian/copyright: Add myself into copyright.

 -- Joel Orón Valiente <moded3v@gmail.com>  Thu, 10 Jul 2025 15:10:51 +0200

=== debian/control ===
Source: lxqt-build-tools
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: devel
Priority: optional
Build-Depends: cmake, debhelper-compat (= 13), pkgconf, qt6-base-dev (>= 6.7.2)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-build-tools
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-build-tools.git
Homepage: https://github.com/lxqt/lxqt-build-tools
Rules-Requires-Root: no

Package: lxqt-build-tools
Architecture: all
Depends: binutils, cmake, pkgconf, qt6-base-dev, ${misc:Depends}
Recommends: git, lintian
Description: Build tools for the LXQt desktop environment
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contains the tools that are needed by the LXQt build process.
